Index: /trunk/cmake-modules/ArchDir.cmake
===================================================================
--- /trunk/cmake-modules/ArchDir.cmake	(revision 67)
+++ /trunk/cmake-modules/ArchDir.cmake	(revision 68)
@@ -1,24 +1,11 @@
-if("${CMAKE_SYSTEM_PROCESSOR}" MATCHES "arm")
-        SET(ARCH_DIR "arm")
-elseif("${CMAKE_SYSTEM_PROCESSOR}" MATCHES "powerpc")
-	  SET(ARCH_DIR "powerpc")
+if("${CMAKE_SYSTEM_PROCESSOR}" MATCHES "i686")
+    message(FATAL_ERROR "i686 is not supported")
+endif()
+
+if("${CMAKE_SYSTEM_PROCESSOR}" MATCHES "x86_64")
+    SET(ARCH_DIR "x86_64/unix")
+elseif(DEFINED CMAKE_SYSTEM_PROCESSOR_DEFAULTTUNE)
+    SET(ARCH_DIR ${CMAKE_SYSTEM_PROCESSOR_DEFAULTTUNE})
 else()
-	if(WIN32)
-		if(MINGW)
-			if (CMAKE_SIZEOF_VOID_P MATCHES "8")#64 bits
-				SET(ARCH_DIR "x86_64/win")
-			else()#32 bits
-				SET(ARCH_DIR "x86/win")
-				ADD_DEFINITIONS(-D__MINGW__)
-			endif()
-		else()
-			message(FATAL_ERROR,"only supports mingw compiler")
-	    	endif()
-	else()	
-		if (CMAKE_SIZEOF_VOID_P MATCHES "8")#64 bits
-			SET(ARCH_DIR "x86_64/unix")
-		else()#32 bits
-			SET(ARCH_DIR "i686/unix")
-		endif()
-	endif()
+    SET(ARCH_DIR ${CMAKE_SYSTEM_PROCESSOR})
 endif()
Index: /trunk/cmake-modules/FlairUseFile.cmake
===================================================================
--- /trunk/cmake-modules/FlairUseFile.cmake	(revision 67)
+++ /trunk/cmake-modules/FlairUseFile.cmake	(revision 68)
@@ -31,4 +31,5 @@
 	${LIBXML2_INCLUDE_DIR}	
 	${CMAKE_SYSROOT}/usr/include/opencv1
+    ${CMAKE_SYSROOT}/usr/include/opencv
 	${FLAIR_DEV}/include/FlairCore
 )
@@ -62,9 +63,9 @@
 #vision filter lib
 IF (FLAIR_USE_VISION_FILTER)
-	if(FOUND_HDS_DIR)
+    if(FOUND_HDS_DIR AND NOT "${CMAKE_SYSTEM_PROCESSOR_DEFAULTTUNE}" MATCHES "armv5te")
 		SET(FLAIR_INCLUDE_DIR ${FLAIR_INCLUDE_DIR} $ENV{FLAIR_ROOT}/flair-hds/dev/include/VisionFilter)
 		SET(FLAIR_LIBRARIES ${FLAIRHDS_LIBRARY_DIR}/libVisionFilter.a ${FLAIRHDS_LIBRARY_DIR}/libdspcv_gpp.a ${FLAIR_LIBRARIES})
   else()
-    SET(FLAIR_INCLUDE_DIR ${FLAIR_INCLUDE_DIR} $ENV{FLAIR_ROOT}/flair-dev/include/FlairVisionFilter)
+        SET(FLAIR_INCLUDE_DIR ${FLAIR_INCLUDE_DIR} $ENV{FLAIR_ROOT}/flair-dev/include/FlairVisionFilter)
 		SET(FLAIR_LIBRARIES ${FLAIR_LIBRARY_DIR}/libFlairVisionFilter.a ${FLAIR_LIBRARIES})
 	endif()
@@ -98,13 +99,11 @@
 		${FLAIR_DEV}/include/FlairSimulator
 		${CMAKE_SYSROOT}/usr/include/irrlicht
-		${FLAIR_DEV}/include/FlairSensorActuator
 		)
 	
-	SET(SIMU_LIBRARY ${FLAIR_LIBRARY_DIR}/libFlairSensorActuator.a)
 	IF (FLAIR_USE_SIMULATOR_GL)
 		ADD_DEFINITIONS("-DGL")
-		SET(FLAIR_LIBRARIES ${FLAIR_LIBRARY_DIR}/libFlairSimulator_gl.a ${SIMU_LIBRARY} GL ${FLAIR_LIBRARIES} Irrlicht Xxf86vm)
+		SET(FLAIR_LIBRARIES ${FLAIR_LIBRARY_DIR}/libFlairSimulator_gl.a GL ${FLAIR_LIBRARIES} Irrlicht Xxf86vm)
 	else()
-		SET(FLAIR_LIBRARIES ${FLAIR_LIBRARY_DIR}/libFlairSimulator_nogl.a ${SIMU_LIBRARY} ${FLAIR_LIBRARIES})
+		SET(FLAIR_LIBRARIES ${FLAIR_LIBRARY_DIR}/libFlairSimulator_nogl.a ${FLAIR_LIBRARIES})
 	endif()
 ENDIF (FLAIR_USE_SIMULATOR)
@@ -127,7 +126,11 @@
 endif()
 
-#add ardrone2 and bebop lib
-if(FOUND_HDS_DIR AND FLAIR_USE_META AND "${CMAKE_SYSTEM_PROCESSOR}" MATCHES "arm")	
+#add ardrone2, bebop or minidrones lib
+if(FOUND_HDS_DIR AND FLAIR_USE_META AND "${CMAKE_SYSTEM_PROCESSOR_DEFAULTTUNE}" MATCHES "armv7a-neon")	
   SET (PARROT_LIB -Wl,--whole-archive ${FLAIRHDS_LIBRARY_DIR}/libFlairArdrone2.a ${FLAIRHDS_LIBRARY_DIR}/libFlairBebop.a -Wl,--no-whole-archive)
+	set(FLAIR_LIBRARIES_NRT ${PARROT_LIB} ${FLAIR_LIBRARIES_NRT} nmea)
+endif()
+if(FOUND_HDS_DIR AND FLAIR_USE_META AND "${CMAKE_SYSTEM_PROCESSOR_DEFAULTTUNE}" MATCHES "armv5te")	
+  SET (PARROT_LIB -Wl,--whole-archive ${FLAIRHDS_LIBRARY_DIR}/libFlairMinidrones.a -Wl,--no-whole-archive)
 	set(FLAIR_LIBRARIES_NRT ${PARROT_LIB}  ${FLAIR_LIBRARIES_NRT} nmea)
 endif()
Index: /trunk/doc/Flair/classflair_1_1actuator_1_1_bldc.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1actuator_1_1_bldc.js	(revision 67)
+++ /trunk/doc/Flair/classflair_1_1actuator_1_1_bldc.js	(revision 68)
@@ -7,5 +7,5 @@
     [ "UnlockUserInterface", "classflair_1_1actuator_1_1_bldc.html#ac1fba30ad70a6d8ff075d376c0e417dd", null ],
     [ "UseDefaultPlot", "classflair_1_1actuator_1_1_bldc.html#a5f653e25984ae11ae7f513e1fbad7d10", null ],
-    [ "Output", "classflair_1_1actuator_1_1_bldc.html#a8d0ed04a12dfcb381cfabd887279df6f", null ],
+    [ "Output", "classflair_1_1actuator_1_1_bldc.html#ad10ac767cd8e7107f4459499dda7e504", null ],
     [ "MotorsCount", "classflair_1_1actuator_1_1_bldc.html#aba973fd0797e039fc33c720729215570", null ],
     [ "SetEnabled", "classflair_1_1actuator_1_1_bldc.html#ac030794b46b72db4184592f7cff11731", null ],
@@ -16,4 +16,4 @@
     [ "HasCurrentMeasurement", "classflair_1_1actuator_1_1_bldc.html#aab69754edb7248757135740a1ced9169", null ],
     [ "::Bldc_impl", "classflair_1_1actuator_1_1_bldc.html#ae6cf9929b8571df321e07aa561b64a9a", null ],
-    [ "output", "classflair_1_1actuator_1_1_bldc.html#a252a95e3889319f90e4afd82ac6d1400", null ]
+    [ "output", "classflair_1_1actuator_1_1_bldc.html#af1e5523e2dc2d99f8722365ff4f77f44", null ]
 ];
Index: /trunk/doc/Flair/classflair_1_1actuator_1_1_simu_bldc.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1actuator_1_1_simu_bldc.js	(revision 67)
+++ /trunk/doc/Flair/classflair_1_1actuator_1_1_simu_bldc.js	(revision 68)
@@ -4,5 +4,5 @@
     [ "SimuBldc", "classflair_1_1actuator_1_1_simu_bldc.html#a76b2fb40a3736ff2f7c33f68b61f370b", null ],
     [ "~SimuBldc", "classflair_1_1actuator_1_1_simu_bldc.html#a10fd091319fd0532681078badeb2ecd8", null ],
-    [ "GetSpeeds", "classflair_1_1actuator_1_1_simu_bldc.html#a94b7583f7bd4fd72706cfb8363316438", null ],
+    [ "GetSpeeds", "classflair_1_1actuator_1_1_simu_bldc.html#ab8700a00398f461726a46c75739f809c", null ],
     [ "HasSpeedMeasurement", "classflair_1_1actuator_1_1_simu_bldc.html#a6d604089c8494c27f8382359327e7fb6", null ],
     [ "HasCurrentMeasurement", "classflair_1_1actuator_1_1_simu_bldc.html#a3a97075384649f5a11fd70bf7749fbe1", null ]
Index: /trunk/doc/Flair/classflair_1_1core_1_1_framework_manager.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1core_1_1_framework_manager.js	(revision 67)
+++ /trunk/doc/Flair/classflair_1_1core_1_1_framework_manager.js	(revision 68)
@@ -6,5 +6,5 @@
     [ "SetupUserInterface", "classflair_1_1core_1_1_framework_manager.html#a528ab69c3a850237007a074732d9fa85", null ],
     [ "GetTabWidget", "classflair_1_1core_1_1_framework_manager.html#a8f3989b0199826a913f352cc1e26f86b", null ],
-    [ "SetupLogger", "classflair_1_1core_1_1_framework_manager.html#ac0b1886b695379518bfeff9142d32405", null ],
+    [ "SetupLogger", "classflair_1_1core_1_1_framework_manager.html#a87827cc05ace9d15c13be60d231d9ab3", null ],
     [ "GetLogPath", "classflair_1_1core_1_1_framework_manager.html#a4e7363801f1df89e51fd9c173e196673", null ],
     [ "AddDeviceToLog", "classflair_1_1core_1_1_framework_manager.html#a9f2750ce913b492206761340c666bbb6", null ],
Index: /trunk/doc/Flair/classflair_1_1core_1_1_thread.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1core_1_1_thread.js	(revision 67)
+++ /trunk/doc/Flair/classflair_1_1core_1_1_thread.js	(revision 68)
@@ -1,5 +1,5 @@
 var classflair_1_1core_1_1_thread =
 [
-    [ "Thread", "classflair_1_1core_1_1_thread.html#a5ef98773d91697e162ab30b89528b007", null ],
+    [ "Thread", "classflair_1_1core_1_1_thread.html#adecd2fabe36298c43267557e7f016deb", null ],
     [ "~Thread", "classflair_1_1core_1_1_thread.html#a39ede97ff3addeaf48ecec09c6625655", null ],
     [ "Start", "classflair_1_1core_1_1_thread.html#a5a4f0f27689ae4292f81bf45e22998a5", null ],
Index: /trunk/doc/Flair/classflair_1_1filter_1_1_butterworth_low_pass.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1filter_1_1_butterworth_low_pass.js	(revision 67)
+++ /trunk/doc/Flair/classflair_1_1filter_1_1_butterworth_low_pass.js	(revision 68)
@@ -5,5 +5,5 @@
     [ "~ButterworthLowPass", "classflair_1_1filter_1_1_butterworth_low_pass.html#a8d46936fb2781bc74297c1fee29f54b7", null ],
     [ "Output", "classflair_1_1filter_1_1_butterworth_low_pass.html#a6575a8015f4b57ea3c4480c713b2dcc7", null ],
-    [ "Matrix", "classflair_1_1filter_1_1_butterworth_low_pass.html#a8188ff5562d16d9be80e06c0bf686325", null ],
+    [ "GetMatrix", "classflair_1_1filter_1_1_butterworth_low_pass.html#a5a425c02c22acea899aed9d828c149f8", null ],
     [ "UpdateFrom", "classflair_1_1filter_1_1_butterworth_low_pass.html#a0f33384da8b2278f8b3f6a8235134edc", null ]
 ];
Index: /trunk/doc/Flair/classflair_1_1filter_1_1_control_law.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1filter_1_1_control_law.js	(revision 67)
+++ /trunk/doc/Flair/classflair_1_1filter_1_1_control_law.js	(revision 68)
@@ -7,5 +7,5 @@
     [ "Update", "classflair_1_1filter_1_1_control_law.html#a228f8bf6857d96fa015bec9e016d2132", null ],
     [ "Reset", "classflair_1_1filter_1_1_control_law.html#a0892ecd37930c5d92a41449ab6fa1f10", null ],
-    [ "input", "classflair_1_1filter_1_1_control_law.html#a9877d488ad17a52affd8c68beca426d1", null ],
-    [ "output", "classflair_1_1filter_1_1_control_law.html#aad8a67d158a1eda16ed53615e2511f97", null ]
+    [ "input", "classflair_1_1filter_1_1_control_law.html#ab88bfe866cc8f9794bda115d57139ab8", null ],
+    [ "output", "classflair_1_1filter_1_1_control_law.html#ad0ec9102c1f3d5cea5e337ba02754f4b", null ]
 ];
Index: /trunk/doc/Flair/classflair_1_1filter_1_1_euler_derivative.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1filter_1_1_euler_derivative.js	(revision 67)
+++ /trunk/doc/Flair/classflair_1_1filter_1_1_euler_derivative.js	(revision 68)
@@ -1,7 +1,7 @@
 var classflair_1_1filter_1_1_euler_derivative =
 [
-    [ "EulerDerivative", "classflair_1_1filter_1_1_euler_derivative.html#a22c72ad2286d4841195b6da450b0e371", null ],
+    [ "EulerDerivative", "classflair_1_1filter_1_1_euler_derivative.html#a97bfe2635bc30f1e0761209bfb8cbe67", null ],
     [ "~EulerDerivative", "classflair_1_1filter_1_1_euler_derivative.html#a95249a7a215db6ff641980fc7b86e5c3", null ],
     [ "Output", "classflair_1_1filter_1_1_euler_derivative.html#a39bcc4797141ea7263e9744b92b536f7", null ],
-    [ "Matrix", "classflair_1_1filter_1_1_euler_derivative.html#ae38d5d4bbf8dc1ab7ff497378c8a529d", null ]
+    [ "GetMatrix", "classflair_1_1filter_1_1_euler_derivative.html#a2bffd5095092c37ad017ef11c6dfeaaf", null ]
 ];
Index: /trunk/doc/Flair/classflair_1_1filter_1_1_low_pass_filter.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1filter_1_1_low_pass_filter.js	(revision 67)
+++ /trunk/doc/Flair/classflair_1_1filter_1_1_low_pass_filter.js	(revision 68)
@@ -1,7 +1,7 @@
 var classflair_1_1filter_1_1_low_pass_filter =
 [
-    [ "LowPassFilter", "classflair_1_1filter_1_1_low_pass_filter.html#aa909a8374e5f75797b020305ef1e888e", null ],
+    [ "LowPassFilter", "classflair_1_1filter_1_1_low_pass_filter.html#a3d0872cb284fbc5f3ae26f65fc61cb9c", null ],
     [ "~LowPassFilter", "classflair_1_1filter_1_1_low_pass_filter.html#a1689e35c04cb48c1e2086c1eb8d427d8", null ],
     [ "Output", "classflair_1_1filter_1_1_low_pass_filter.html#ae8942a3c7afad88a11469787fb5286e7", null ],
-    [ "Matrix", "classflair_1_1filter_1_1_low_pass_filter.html#a0b73dd947f0e3a126b46c5d8f1738594", null ]
+    [ "GetMatrix", "classflair_1_1filter_1_1_low_pass_filter.html#a6d315f06dde92cd73830fdd748972344", null ]
 ];
Index: /trunk/doc/Flair/classflair_1_1filter_1_1_pid_thrust.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1filter_1_1_pid_thrust.js	(revision 67)
+++ /trunk/doc/Flair/classflair_1_1filter_1_1_pid_thrust.js	(revision 68)
@@ -5,7 +5,8 @@
     [ "Reset", "classflair_1_1filter_1_1_pid_thrust.html#a4987d6892e567cce5af9b22dcf065542", null ],
     [ "ResetI", "classflair_1_1filter_1_1_pid_thrust.html#ad82440a1c4d9b0409c8549f900991223", null ],
-    [ "ResetOffset", "classflair_1_1filter_1_1_pid_thrust.html#a3ec37a57185a1f3164e081e89b08e378", null ],
-    [ "SetOffset", "classflair_1_1filter_1_1_pid_thrust.html#a9109d86fb350919a673af114c5d66f0f", null ],
-    [ "GetOffset", "classflair_1_1filter_1_1_pid_thrust.html#a3658197f9d580bc810fc65451399f307", null ],
+    [ "SetOffset", "classflair_1_1filter_1_1_pid_thrust.html#a240df5714f7ffe4fd2cb7765a21389ee", null ],
+    [ "SetDefaultOffset", "classflair_1_1filter_1_1_pid_thrust.html#a5e856db9c472b9ca3b6b69eb54ffa18e", null ],
+    [ "GetOffset", "classflair_1_1filter_1_1_pid_thrust.html#a746b8f8afd363524b6b84a1fc8d11da2", null ],
+    [ "GetIntegral", "classflair_1_1filter_1_1_pid_thrust.html#a35d8c2f7a19faaae43b3a6d2d3cc211a", null ],
     [ "OffsetStepUp", "classflair_1_1filter_1_1_pid_thrust.html#ac556b3702ad3352fdfad1bde19f16af0", null ],
     [ "OffsetStepDown", "classflair_1_1filter_1_1_pid_thrust.html#ac3810b92073bc3e5062a387e089b2295", null ],
Index: /trunk/doc/Flair/classflair_1_1filter_1_1_trajectory_generator1_d.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1filter_1_1_trajectory_generator1_d.js	(revision 67)
+++ /trunk/doc/Flair/classflair_1_1filter_1_1_trajectory_generator1_d.js	(revision 68)
@@ -12,4 +12,5 @@
     [ "Position", "classflair_1_1filter_1_1_trajectory_generator1_d.html#af6af3476756c395c0903aea16f6df452", null ],
     [ "Speed", "classflair_1_1filter_1_1_trajectory_generator1_d.html#a3fbfb99d8a470b1d17250a8fa0de2c6d", null ],
-    [ "Matrix", "classflair_1_1filter_1_1_trajectory_generator1_d.html#a08b6a9f75debf354d549716f05e6539a", null ]
+    [ "GetPercentageOfCompletion", "classflair_1_1filter_1_1_trajectory_generator1_d.html#a612032f1c34dd544ee698b6bdb89db48", null ],
+    [ "GetMatrix", "classflair_1_1filter_1_1_trajectory_generator1_d.html#ae6b3e479f5c9be30c0db89437266c723", null ]
 ];
Index: /trunk/doc/Flair/classflair_1_1filter_1_1_trajectory_generator2_d_circle.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1filter_1_1_trajectory_generator2_d_circle.js	(revision 67)
+++ /trunk/doc/Flair/classflair_1_1filter_1_1_trajectory_generator2_d_circle.js	(revision 68)
@@ -11,5 +11,5 @@
     [ "GetPosition", "classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#ae39218d67b655176c2d9b6679702c9c7", null ],
     [ "GetSpeed", "classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#a928d70f190300eb5a545940d2f5417be", null ],
-    [ "Matrix", "classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#a2c4cd945efca8086a38a298407de1e56", null ],
+    [ "GetMatrix", "classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#a11456b42e6c4f47e289af0997d85f020", null ],
     [ "IsRunning", "classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#aed8b6a1585bfdb6e65dcf7324a05f9e8", null ]
 ];
Index: /trunk/doc/Flair/classflair_1_1gui_1_1_range_finder_plot.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1gui_1_1_range_finder_plot.js	(revision 67)
+++ /trunk/doc/Flair/classflair_1_1gui_1_1_range_finder_plot.js	(revision 68)
@@ -1,5 +1,5 @@
 var classflair_1_1gui_1_1_range_finder_plot =
 [
-    [ "RangeFinderPlot", "classflair_1_1gui_1_1_range_finder_plot.html#ad9e74692b943e04998870a22b4931773", null ],
+    [ "RangeFinderPlot", "classflair_1_1gui_1_1_range_finder_plot.html#a984eb9df29bc0262b65d470ad71599d4", null ],
     [ "~RangeFinderPlot", "classflair_1_1gui_1_1_range_finder_plot.html#ab793e96b2da92a3ad8de4a970f0f9f9a", null ]
 ];
Index: /trunk/doc/Flair/classflair_1_1meta_1_1_uav.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1meta_1_1_uav.js	(revision 67)
+++ /trunk/doc/Flair/classflair_1_1meta_1_1_uav.js	(revision 68)
@@ -15,4 +15,5 @@
     [ "GetHorizontalCamera", "classflair_1_1meta_1_1_uav.html#a03fdd9b52f7ffa4da19653ab7a598b29", null ],
     [ "GetGps", "classflair_1_1meta_1_1_uav.html#a195bed31e7f89e8eba1948bbaf4c0110", null ],
+    [ "GetPressureSensor", "classflair_1_1meta_1_1_uav.html#aa3aeb04c20d8e8476d699192471eef75", null ],
     [ "GetDefaultVrpnAddress", "classflair_1_1meta_1_1_uav.html#a095040838a4078e62d6eddac7eab5f44", null ],
     [ "isReadyToFly", "classflair_1_1meta_1_1_uav.html#a9cdc97a1b23e95add9f45a1e74c0a2ec", null ],
@@ -25,4 +26,5 @@
     [ "SetVerticalCamera", "classflair_1_1meta_1_1_uav.html#ad96792706400e63bc6ab9281780285d4", null ],
     [ "SetHorizontalCamera", "classflair_1_1meta_1_1_uav.html#a78c1a1f0344c91f9aac4bb62f32714c3", null ],
-    [ "SetGps", "classflair_1_1meta_1_1_uav.html#aafcdd640a8166e3994d9cd5a23cab363", null ]
+    [ "SetGps", "classflair_1_1meta_1_1_uav.html#aafcdd640a8166e3994d9cd5a23cab363", null ],
+    [ "SetPressureSensor", "classflair_1_1meta_1_1_uav.html#a318d6459b6a5fe542c3e4f64db04538b", null ]
 ];
Index: /trunk/doc/Flair/classflair_1_1meta_1_1_uav_state_machine.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1meta_1_1_uav_state_machine.js	(revision 67)
+++ /trunk/doc/Flair/classflair_1_1meta_1_1_uav_state_machine.js	(revision 68)
@@ -67,4 +67,9 @@
     [ "AddDataToControlLawLog", "classflair_1_1meta_1_1_uav_state_machine.html#aa642bfeb1d97dec839088e2256a3699b", null ],
     [ "GetJoystick", "classflair_1_1meta_1_1_uav_state_machine.html#a8e60c6966eb00cf63c0278d575b8e394", null ],
+    [ "GetURoll", "classflair_1_1meta_1_1_uav_state_machine.html#a56a4bd1ccd2bd35d3f112357ce7d7354", null ],
+    [ "GetUPitch", "classflair_1_1meta_1_1_uav_state_machine.html#a5206c6547f6c5ee803f61c2b651b6a46", null ],
+    [ "GetUYaw", "classflair_1_1meta_1_1_uav_state_machine.html#a9711cbe4ded896b21745d29c9ed27531", null ],
+    [ "GetUZ", "classflair_1_1meta_1_1_uav_state_machine.html#ab86952dbc6e7f4c8518020f0b67b68e5", null ],
+    [ "GetAltitudeTrajectory", "classflair_1_1meta_1_1_uav_state_machine.html#ab8b3d2da5d89e9a7faa17de65a7cf0eb", null ],
     [ "joy", "classflair_1_1meta_1_1_uav_state_machine.html#a3929dfba87003f40ce398a123616dd48", null ],
     [ "setupLawTab", "classflair_1_1meta_1_1_uav_state_machine.html#a9e5c71804025830b11104cdbe2d0f7dc", null ],
Index: /trunk/doc/Flair/classflair_1_1sensor_1_1_emulated_controller.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1sensor_1_1_emulated_controller.js	(revision 67)
+++ /trunk/doc/Flair/classflair_1_1sensor_1_1_emulated_controller.js	(revision 68)
@@ -25,6 +25,6 @@
     [ "ProcessMessage", "classflair_1_1sensor_1_1_emulated_controller.html#a9b2f55fb43ce63e4d7521283408654f5", null ],
     [ "IsDataFrameReady", "classflair_1_1sensor_1_1_emulated_controller.html#a410a9b4cb3ba86ad93e68d38bcfa8d36", null ],
-    [ "AcquireAxisData", "classflair_1_1sensor_1_1_emulated_controller.html#a514f48570872367dda335557be4696ef", null ],
-    [ "AcquireButtonData", "classflair_1_1sensor_1_1_emulated_controller.html#af4aab348140ae0c371f3ae7be5eaf5d9", null ],
+    [ "AcquireAxisData", "classflair_1_1sensor_1_1_emulated_controller.html#a9b507e86c610b7a6d1cb5199935cb017", null ],
+    [ "AcquireButtonData", "classflair_1_1sensor_1_1_emulated_controller.html#a46b2247fcc92fa78ef055e788306932b", null ],
     [ "ControllerInitialization", "classflair_1_1sensor_1_1_emulated_controller.html#aa15ea652018777ee12797cc4e632f53c", null ]
 ];
Index: /trunk/doc/Flair/classflair_1_1sensor_1_1_hokuyo_u_t_m30_lx.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1sensor_1_1_hokuyo_u_t_m30_lx.js	(revision 67)
+++ /trunk/doc/Flair/classflair_1_1sensor_1_1_hokuyo_u_t_m30_lx.js	(revision 68)
@@ -4,5 +4,5 @@
     [ "~HokuyoUTM30Lx", "classflair_1_1sensor_1_1_hokuyo_u_t_m30_lx.html#a703cae77132737a94a915e63d55995b5", null ],
     [ "getMesure", "classflair_1_1sensor_1_1_hokuyo_u_t_m30_lx.html#a108d372d2be5bf99d44c9adc21c83fba", null ],
-    [ "getDatas", "classflair_1_1sensor_1_1_hokuyo_u_t_m30_lx.html#ae159ef9580be0edf2190937abd9df71e", null ],
+    [ "getDatas", "classflair_1_1sensor_1_1_hokuyo_u_t_m30_lx.html#aacd095f13f8b18158ffa24e69ea4c744", null ],
     [ "UseDefaultPlot", "classflair_1_1sensor_1_1_hokuyo_u_t_m30_lx.html#af71c2d5cbc5f79bf45f759836c6db8a3", null ]
 ];
Index: /trunk/doc/Flair/classflair_1_1sensor_1_1_host_eth_controller.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1sensor_1_1_host_eth_controller.js	(revision 67)
+++ /trunk/doc/Flair/classflair_1_1sensor_1_1_host_eth_controller.js	(revision 68)
@@ -21,10 +21,10 @@
     [ "dataFrameSize", "classflair_1_1sensor_1_1_host_eth_controller.html#a736347a1851619d5b091d667a9deaaa9", null ],
     [ "axisNumber", "classflair_1_1sensor_1_1_host_eth_controller.html#a3215ccfbe09f12e4ee648d4edc98889d", null ],
-    [ "axis", "classflair_1_1sensor_1_1_host_eth_controller.html#ad1aaf31f1dc41a7605990cb29553c4a0", null ],
+    [ "axis", "classflair_1_1sensor_1_1_host_eth_controller.html#a0997ad475ea8c0e9e328c89357805059", null ],
     [ "axisPlot", "classflair_1_1sensor_1_1_host_eth_controller.html#afb5a37f92e55e0aa2ed059180036e8bb", null ],
     [ "bitsPerAxis", "classflair_1_1sensor_1_1_host_eth_controller.html#a86f2e19eaa5d8e82c7f0fe86c61c8f05", null ],
     [ "nativeBitsPerAxis", "classflair_1_1sensor_1_1_host_eth_controller.html#abfc85054fdd2582bf431ebaad8cd934c", null ],
     [ "buttonNumber", "classflair_1_1sensor_1_1_host_eth_controller.html#afca5403e028359c52303520040d017aa", null ],
-    [ "button", "classflair_1_1sensor_1_1_host_eth_controller.html#a6b511be1a7f1046c6713895980290bc8", null ],
+    [ "button", "classflair_1_1sensor_1_1_host_eth_controller.html#a0d32477d4f2d1d1394db421312c0a8a1", null ],
     [ "buttonOffset", "classflair_1_1sensor_1_1_host_eth_controller.html#a5463cf3c528d315f0443c61184b5ca0d", null ],
     [ "meaningfulDataAvailable", "classflair_1_1sensor_1_1_host_eth_controller.html#a41aafa3ddc59e93bb9b5f5ab6fdedeb3", null ]
Index: /trunk/doc/Flair/classflair_1_1sensor_1_1_laser_range_finder.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1sensor_1_1_laser_range_finder.js	(revision 67)
+++ /trunk/doc/Flair/classflair_1_1sensor_1_1_laser_range_finder.js	(revision 68)
@@ -10,4 +10,4 @@
     [ "Value", "classflair_1_1sensor_1_1_laser_range_finder.html#a25d3123e9dad148d90c67277a27d62b3", null ],
     [ "GetGroupBox", "classflair_1_1sensor_1_1_laser_range_finder.html#a4fcff544e888eabd22de520366849cd4", null ],
-    [ "output", "classflair_1_1sensor_1_1_laser_range_finder.html#a0885828ecb3c295d3ace281c23422a92", null ]
+    [ "output", "classflair_1_1sensor_1_1_laser_range_finder.html#a937a6f3b5be14e11d6ec1d4ed252f163", null ]
 ];
Index: /trunk/doc/Flair/classflair_1_1sensor_1_1_target_controller.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1sensor_1_1_target_controller.js	(revision 67)
+++ /trunk/doc/Flair/classflair_1_1sensor_1_1_target_controller.js	(revision 68)
@@ -21,11 +21,11 @@
     [ "QueueMessage", "classflair_1_1sensor_1_1_target_controller.html#a677a1fd35d04b1ffd033206634c6c05e", null ],
     [ "ControllerInitialization", "classflair_1_1sensor_1_1_target_controller.html#a8aa84807cf224d3af89ee8af0355992c", null ],
-    [ "AcquireAxisData", "classflair_1_1sensor_1_1_target_controller.html#a0bd1617d80ffdf3dc18a6149c3cc5f71", null ],
-    [ "AcquireButtonData", "classflair_1_1sensor_1_1_target_controller.html#a66b9cd39511eb0c4f3406155ca5a7e0f", null ],
+    [ "AcquireAxisData", "classflair_1_1sensor_1_1_target_controller.html#a073753df5ba71c094650540556352017", null ],
+    [ "AcquireButtonData", "classflair_1_1sensor_1_1_target_controller.html#a74c24d2f0e7e1407b04861be9ef309e9", null ],
     [ "axisNumber", "classflair_1_1sensor_1_1_target_controller.html#a1fb5ecb35823de3f5e201f3c2cb1d468", null ],
-    [ "axis", "classflair_1_1sensor_1_1_target_controller.html#a8f8f4f2999610d3471939028e62ae38f", null ],
+    [ "axis", "classflair_1_1sensor_1_1_target_controller.html#a24e9fd05a49cc89320214bff51a7e18a", null ],
     [ "bitsPerAxis", "classflair_1_1sensor_1_1_target_controller.html#a122a460a208f5e4d08a222af44c2e46f", null ],
     [ "buttonNumber", "classflair_1_1sensor_1_1_target_controller.html#a3c056f88a6fe47f2be02ef184986282c", null ],
-    [ "button", "classflair_1_1sensor_1_1_target_controller.html#afce7c1aafc6e9411a495c7b4ef011eed", null ],
+    [ "button", "classflair_1_1sensor_1_1_target_controller.html#a06d2f95fb458a4178e3e733ce809fe7a", null ],
     [ "ledNumber", "classflair_1_1sensor_1_1_target_controller.html#a2a86fea6048d3b3f71a898733915306b", null ]
 ];
Index: /trunk/doc/Flair/classflair_1_1sensor_1_1_target_eth_controller.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1sensor_1_1_target_eth_controller.js	(revision 67)
+++ /trunk/doc/Flair/classflair_1_1sensor_1_1_target_eth_controller.js	(revision 68)
@@ -9,6 +9,6 @@
     [ "IsControllerActionSupported", "classflair_1_1sensor_1_1_target_eth_controller.html#ad8fcf10f0b7fda388387fe7c13ae9bc1", null ],
     [ "IsDataFrameReady", "classflair_1_1sensor_1_1_target_eth_controller.html#adffe6902f11edd3d29ee7a214b3001ba", null ],
-    [ "AcquireAxisData", "classflair_1_1sensor_1_1_target_eth_controller.html#a5224298cc11521c7b1152dd05fd7dc6a", null ],
-    [ "AcquireButtonData", "classflair_1_1sensor_1_1_target_eth_controller.html#a6437f109779fe73aa54eb34914f51acc", null ],
+    [ "AcquireAxisData", "classflair_1_1sensor_1_1_target_eth_controller.html#a4e27ae9987eb5a27ba4d3414f3bb0a3a", null ],
+    [ "AcquireButtonData", "classflair_1_1sensor_1_1_target_eth_controller.html#ad162468625fb19ec7645ab283bd8454f", null ],
     [ "ControllerInitialization", "classflair_1_1sensor_1_1_target_eth_controller.html#ab560e46e5c28ae0d789c0f897d9209a9", null ]
 ];
Index: /trunk/doc/Flair/classflair_1_1sensor_1_1_us_range_finder.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1sensor_1_1_us_range_finder.js	(revision 67)
+++ /trunk/doc/Flair/classflair_1_1sensor_1_1_us_range_finder.js	(revision 68)
@@ -10,6 +10,7 @@
     [ "GetLayout", "classflair_1_1sensor_1_1_us_range_finder.html#a4152976e16fc103e2febc3e102a98680", null ],
     [ "GetPlotTab", "classflair_1_1sensor_1_1_us_range_finder.html#a830522cffd7367b3c095f1a381bb248a", null ],
+    [ "GetTabWidget", "classflair_1_1sensor_1_1_us_range_finder.html#a0460df8b593688184e9738006a73e3ab", null ],
     [ "Value", "classflair_1_1sensor_1_1_us_range_finder.html#a60ae45b1dda58e807c07da6754a30683", null ],
     [ "GetGroupBox", "classflair_1_1sensor_1_1_us_range_finder.html#a9f126a19d2eda48c45c26fe5946961e5", null ],
-    [ "output", "classflair_1_1sensor_1_1_us_range_finder.html#ae1bbee21887937a4dee3e427e1c37605", null ]
+    [ "output", "classflair_1_1sensor_1_1_us_range_finder.html#a63e66a79a89148a55dc32d10fed7ccab", null ]
 ];
Index: /trunk/doc/Flair/classflair_1_1sensor_1_1_vrpn_object.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1sensor_1_1_vrpn_object.js	(revision 67)
+++ /trunk/doc/Flair/classflair_1_1sensor_1_1_vrpn_object.js	(revision 68)
@@ -9,6 +9,6 @@
     [ "GetQuaternion", "classflair_1_1sensor_1_1_vrpn_object.html#a2942cbbb898ba9d0d795b97ad3b9825f", null ],
     [ "GetPosition", "classflair_1_1sensor_1_1_vrpn_object.html#a64be708bbe70e22db77a465488e23c7c", null ],
-    [ "Output", "classflair_1_1sensor_1_1_vrpn_object.html#acac80ce94c7081f6e51f8d81d158e164", null ],
-    [ "State", "classflair_1_1sensor_1_1_vrpn_object.html#acb5162ae1ed3ea0b646ab12ac6879279", null ],
+    [ "Output", "classflair_1_1sensor_1_1_vrpn_object.html#aeb2763d80bfa502415a6153fc54ef3dd", null ],
+    [ "State", "classflair_1_1sensor_1_1_vrpn_object.html#ae178376649f38cfe726d286bc653909c", null ],
     [ "xPlot", "classflair_1_1sensor_1_1_vrpn_object.html#a497f45bf3c808c99df38efedfb1fb29a", null ],
     [ "yPlot", "classflair_1_1sensor_1_1_vrpn_object.html#af6e2b048e6e5c74f03a5bf1d767e5819", null ],
Index: /trunk/doc/Flair/files.js
===================================================================
--- /trunk/doc/Flair/files.js	(revision 67)
+++ /trunk/doc/Flair/files.js	(revision 68)
@@ -156,4 +156,8 @@
       [ "Map", "classflair_1_1gui_1_1_map.html", "classflair_1_1gui_1_1_map" ]
     ] ],
+    [ "Matrix.h", "_matrix_8h.html", [
+      [ "Matrix", "classflair_1_1core_1_1_matrix.html", "classflair_1_1core_1_1_matrix" ],
+      [ "Type", "classflair_1_1core_1_1_matrix_1_1_type.html", "classflair_1_1core_1_1_matrix_1_1_type" ]
+    ] ],
     [ "Mb800.h", "_mb800_8h.html", [
       [ "Mb800", "classflair_1_1sensor_1_1_mb800.html", "classflair_1_1sensor_1_1_mb800" ]
@@ -198,4 +202,7 @@
     [ "PidThrust.h", "_pid_thrust_8h.html", [
       [ "PidThrust", "classflair_1_1filter_1_1_pid_thrust.html", "classflair_1_1filter_1_1_pid_thrust" ]
+    ] ],
+    [ "PressureSensor.h", "_pressure_sensor_8h.html", [
+      [ "PressureSensor", "classflair_1_1sensor_1_1_pressure_sensor.html", "classflair_1_1sensor_1_1_pressure_sensor" ]
     ] ],
     [ "Ps3Eye.h", "_ps3_eye_8h.html", [
@@ -311,4 +318,7 @@
       [ "UsRangeFinder", "classflair_1_1sensor_1_1_us_range_finder.html", "classflair_1_1sensor_1_1_us_range_finder" ]
     ] ],
+    [ "UsSensorPlot.h", "_us_sensor_plot_8h.html", [
+      [ "UsSensorPlot", "classflair_1_1gui_1_1_us_sensor_plot.html", "classflair_1_1gui_1_1_us_sensor_plot" ]
+    ] ],
     [ "V4LCamera.h", "_v4_l_camera_8h.html", [
       [ "V4LCamera", "classflair_1_1sensor_1_1_v4_l_camera.html", "classflair_1_1sensor_1_1_v4_l_camera" ]
